> ## Documentation Index
> Fetch the complete documentation index at: https://docs.controlplane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get available permissions for a group resource type

> Response contains the grantable permissions that are available for a group when adding a binding in a policy.



## OpenAPI

````yaml get /org/{org}/group/-schema/permissions
openapi: 3.0.3
info:
  title: Control Plane Core API
  description: Copyright © 2023 Control Plane Corporation. All rights reserved.
  version: 1.0.0
servers:
  - url: https://api.cpln.io
    description: ''
security:
  - {}
  - serviceAccountKey: []
  - jwt: []
externalDocs:
  url: https://docs.controlplane.com/
  description: End-user documentation
paths:
  /org/{org}/group/-schema/permissions:
    get:
      tags:
        - group
        - access
      summary: Get available permissions for a group resource type
      description: >-
        Response contains the grantable permissions that are available for a
        group when adding a binding in a policy.
      parameters:
        - in: path
          name: org
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/permissions'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '403':
          description: Access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    permissions:
      type: object
      properties:
        links:
          type: array
          items:
            $ref: '#/components/schemas/link'
        kind:
          type: string
        targetKind:
          type: string
          enum:
            - org
            - cloudaccount
            - policy
            - user
            - group
            - resource
            - task
            - permissions
            - serviceaccount
            - secret
            - location
            - gvc
            - workload
            - quota
            - identity
            - deployment
            - event
            - domain
            - image
            - ipset
            - resourcepolicy
            - agent
            - accessreport
            - policymembership
            - dbcluster
            - auditctx
            - memcachecluster
            - spicedbcluster
            - tenant
            - mk8s
            - command
            - imagesummary
            - volumeset
        items:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              description:
                type: string
            additionalProperties: false
        implied:
          type: object
      additionalProperties: false
    error:
      type: object
      properties:
        status:
          type: integer
        message:
          type: string
        code:
          type: string
        details:
          type: object
        id:
          type: string
      additionalProperties: false
    link:
      type: object
      properties:
        rel:
          type: string
        href:
          type: string
      additionalProperties: false
  securitySchemes:
    serviceAccountKey:
      type: apiKey
      in: header
      name: Authorization
      description: Service account key can be used as API keys
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: IDP-provided token

````